# Class LazyGenotypesContext.LazyData

java.lang.Object
htsjdk.variant.variantcontext.LazyGenotypesContext.LazyData

Enclosing class:
  `LazyGenotypesContext`

public static class LazyGenotypesContext.LazyData extends Object
Returns the data used in the full GenotypesContext constructor `GenotypesContext(java.util.ArrayList, java.util.Map, java.util.List)`

## Constructor Summary

Constructors
Constructor
Description
`LazyData(ArrayList<Genotype> genotypes, List<String> sampleNamesInOrder, Map<String,Integer> sampleNameToOffset)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LazyData

public LazyData(ArrayList<Genotype> genotypes, List<String> sampleNamesInOrder, Map<String,Integer> sampleNameToOffset)